Protocols
Get protocol reserves
Path Parameters
id*string
Protocol id
Value in
- "blend"
- "aquarius"
- "soroswap"
- "fxdao"
Query Parameters
as_of_ledger?|
Return data as of this ledger sequence number. Omit for latest state.
Format
int64Range
0 <= valueResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/protocols/blend/reserves"{ "data": { "backstops": [ { "backstop_contract": "string", "blnd_amount": "string", "contract": "string", "ledger": 0, "lp_tokens": "string", "metadata": null, "q4w_pct": "string", "q4w_shares": "string", "shares": "string", "usd_value": "string", "usdc_amount": "string" } ], "protocol_id": "string", "reserves": [ { "asset_id": "string", "asset_symbol": "string", "b_rate": "string", "borrow_apr": "string", "borrow_apy": "string", "borrow_cap": "string", "c_factor": "string", "contract": "string", "d_rate": "string", "decimals": 0, "l_factor": "string", "ledger": 0, "metadata": null, "oracle_contract": "string", "status": "active", "supply_apr": "string", "supply_apy": "string", "supply_cap": "string", "total_borrowed": "string", "total_supplied": "string", "utilization": "string" } ] }, "enrichment": { "assets": { "property1": { "decimals": 0, "price_source": null, "price_usd": "string", "symbol": "string", "tags": [ "string" ] }, "property2": { "decimals": 0, "price_source": null, "price_usd": "string", "symbol": "string", "tags": [ "string" ] } }, "contracts": { "property1": { "name": "string", "position_types": [ "collateral" ], "protocol": "string", "status": "active", "version": "string" }, "property2": { "name": "string", "position_types": [ "collateral" ], "protocol": "string", "status": "active", "version": "string" } } }, "meta": { "attribution_confidence": 0.1, "data_staleness_seconds": 0, "last_indexed_ledger": 0, "oracle_staleness_seconds": 0, "partial_result": true, "response_time_ms": 0, "sources": [ "soroban_rpc" ] }}